# Locale::getDisplayVariant

# locale_get_display_variant

(PHP 5 >= 5.3.0, PHP 7, PECL intl >= 1.0.0)

Locale::getDisplayVariant -- locale_get_display_variant — Returns an appropriately localized display name for variants of the input locale

### Description

Object oriented style

public static Locale::getDisplayVariant ( string `$locale` [, string `$in_locale` ] ) : string

Procedural style

locale_get_display_variant ( string `$locale` [, string `$in_locale` ] ) : string

Returns an appropriately localized display name for variants of the input locale. If is `NULL` then the default locale is used.

### Parameters

`locale`

  The locale to return a display variant for

`in_locale`

  Optional format locale to use to display the variant name

### Return Values

Display name of the variant for the $locale in the format appropriate for $in_locale.

### Examples

Example #1 locale_get_display_variant() example

`<?php
echo locale_get_display_variant('sl-Latn-IT-nedis', 'en');
echo ";\n";
echo locale_get_display_variant('sl-Latn-IT-nedis', 'fr');
echo ";\n";
echo locale_get_display_variant('sl-Latn-IT-nedis', 'de');
?>`

Example #2 OO example

`<?php
echo Locale::getDisplayVariant('sl-Latn-IT-nedis', 'en');
echo ";\n";
echo Locale::getDisplayVariant('sl-Latn-IT-nedis', 'fr');
echo ";\n";
echo Locale::getDisplayVariant('sl-Latn-IT-nedis', 'de');
?>`

The above example will output:

    Natisone dialect;
    dialecte de Natisone;
    NEDIS

### See Also

- locale_get_display_name() - Returns an appropriately localized display name for the input locale
- locale_get_display_language() - Returns an appropriately localized display name for language of the inputlocale
- locale_get_display_script() - Returns an appropriately localized display name for script of the input locale
- locale_get_display_region() - Returns an appropriately localized display name for region of the input locale